import { Connection, Keypair } from '@solana/web3.js';
import { SignOnlySigner, UnsignedTransaction } from '@wormhole-foundation/connect-sdk';
import { Network } from '@wormhole-foundation/sdk-base/src';
import { SolanaChains } from '../types';
export declare class SolanaSigner<N extends Network, C extends SolanaChains = 'Solana'> implements SignOnlySigner<N, C> {
    private _chain;
    private _keypair;
    private _rpc;
    private _debug;
    constructor(_chain: C, _keypair: Keypair, _rpc: Connection, _debug?: boolean);
    chain(): C;
    address(): string;
    sign(tx: UnsignedTransaction[]): Promise<any[]>;
}
//# sourceMappingURL=signer.d.ts.map